Set refund address
POST/shifts/:shiftId/set-refund-address
Authenticate by signing the request or with the legacy x-sideshift-secret header. Your Ed25519 secret key and your account secret each grant full access to your account. Never share them.
Request
Path Parameters
Header Parameters
Your Ed25519 public key, hex encoded. Required when signing the request. See Authentication.
Current Unix time in milliseconds, the same value used in the signed message. Must be within 60 seconds of server time. Required when signing the request.
Ed25519 signature of timestamp + METHOD + path + body, hex encoded. Required when signing the request. See Authentication.
Legacy account secret. Not needed when the request is signed with the x-sideshift-key, x-sideshift-timestamp and x-sideshift-signature headers. See Authentication.
- application/json
Body
for address that requires memo
Responses
- 201
- 400
- 404
- 500
- application/json
- Schema
- Example
Fixed Shift
Variable Shift
Fixed Shift
{
"id": "f78df8663d4c4d5913b9",
"createdAt": "2023-10-17T05:52:43.947Z",
"depositCoin": "ETH",
"settleCoin": "ETH",
"depositNetwork": "arbitrum",
"settleNetwork": "ethereum",
"depositAddress": "0x5348DaBDBd6Ac9d2e0507447A0D2246Bb7febb0f",
"settleAddress": "0xde2642b2120fd3011fe9659688f76e9E4676F472",
"depositMin": "1",
"depositMax": "1",
"refundAddress": "0xde2642b2120fd3011fe9659688f76e9E4676F472",
"type": "fixed",
"quoteId": "a954ac89-d861-41f0-a082-751a80b54dff",
"depositAmount": "1",
"settleAmount": "0.98089288",
"expiresAt": "2023-10-17T06:07:33.915Z",
"status": "waiting",
"averageShiftSeconds": "44.526343",
"rate": "0.98089288"
}
Variable Shift
{
"id": "6f7d6442bbcea03b3fs6",
"createdAt": "2023-10-17T05:36:46.797Z",
"depositCoin": "BTC",
"settleCoin": "ETH",
"depositNetwork": "bitcoin",
"settleNetwork": "ethereum",
"depositAddress": "37SELkizWCbbRgpDe5ozZDP6TvvA91a6WB",
"settleAddress": "0xde2642b2120fd3011fe9659688f76e9E4676F472",
"depositMin": "0.00010655",
"depositMax": "1.42067752",
"refundAddress": "bc1qe6duc4mztzh9jvjnqcalf65hr9579vel8mv9ya",
"type": "variable",
"expiresAt": "2023-10-24T05:36:46.796Z",
"status": "waiting",
"averageShiftSeconds": "46.880018"
}
- application/json
- Schema
- Example
Schema
error object
{
"error": {
"message": "Invalid refund address",
"code": "BAD_USER_INPUT"
}
}
{
"error": {
"message": "Bad request",
"code": "BAD_USER_INPUT"
}
}
- application/json
- Schema
- Example
Schema
error object
{
"error": {
"message": "Account not found",
"code": "NOT_FOUND"
}
}
- application/json
- Schema
- Example
Schema
error object
{
"error": {
"message": "Internal Server Error",
"code": "UNKNOWN"
}
}